classification
Title: Example in Doc/extending/embedding.rst fails to compile cleanly
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Make _Py_char2wchar() and _Py_wchar2char() public
View: 18395
Assigned To: docs@python Nosy List: Saimadhav.Heblikar, docs@python, zach.ware
Priority: normal Keywords: patch

Created on 2014-01-31 22:14 by zach.ware, last changed 2014-08-01 13:06 by zach.ware. This issue is now closed.

Files
File name Uploaded Description Edit
issue20466.patch Saimadhav.Heblikar, 2014-02-02 14:41 review
Messages (3)
msg209837 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-01-31 22:14
Reported by Riccardo Rossi on docs@:

The Very High Level Embedding example fails to compile cleanly, due to Py_SetProgramName expecting a wchar_t * argument, while the example passes a char *.
msg209990 - (view) Author: Saimadhav Heblikar (Saimadhav.Heblikar) * Date: 2014-02-02 14:41
Patch fixes the mistake.
Looks like it was copied over from earlier version.
msg224498 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-08-01 13:06
Thanks for your efforts, Saimadhav.  The issue has been fixed in another way, though.
History
Date User Action Args
2014-08-01 13:06:05zach.waresetstatus: open -> closed
superseder: Make _Py_char2wchar() and _Py_wchar2char() public
messages: + msg224498

resolution: duplicate
stage: needs patch -> resolved
2014-02-02 14:41:25Saimadhav.Heblikarsetfiles: + issue20466.patch

nosy: + Saimadhav.Heblikar
messages: + msg209990

keywords: + patch
2014-01-31 22:14:09zach.warecreate